<#assign render_block>

    /**
     * 绘制父项处理
     *
     * @param {*} item
     * @param {any[]} items
     * @returns
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public subItemsRender(item: any, items: any[]) {
        return (
            <card bordered={false} dis-hover={true}>
                <p slot='title' on-click={() => this.select(item.name, [item.name])}>
                    <span>
                        {
                            !Object.is(item.icon, '') ? <i class={item.icon}></i> :
                                !Object.is(item.iconcls, '') ? <i class={item.iconcls}></i> :
                                    <i class='fa fa-cogs'></i>
                        }
                    </span>&nbsp;&nbsp;
                    <span>{this.$t('app.menus.${ctrl.codeName?lower_case}.' + item.name)}</span>
                </p>
                <p style={{ display: 'flex' }}>
                    {items.map((_item: any) => {
                        if (_item.items && Array.isArray(_item.items)) {
                            return this.subItemsRender(_item, _item.items);
                        } else {
                            return this.subItemRender(_item);
                        }
                    })}
                </p>
            </card>
        )
    }


    /**
     * 绘制子节点
     *
     * @param {*} item
     * @returns
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public subItemRender(item: any) {
        const style = {
            width: '120px',
            height: '120px',
            marginRight: '10px',
            justifyContent: 'center',
            alignItems: 'center',
            display: 'flex',
            textAlign: 'center',
            wordBreak: 'break-all',
            cursor: 'pointer',
        }
        return (
            <card style={style} padding={0} >
                <div on-click={() => this.select(item.name, [item.name])}>
                    <span>
                        {
                            !Object.is(item.icon, '') ? <i class={item.icon}></i> :
                                !Object.is(item.iconcls, '') ? <i class={item.iconcls}></i> :
                                    <i class='fa fa-cogs'></i>
                        }
                    </span>
                    <h3>{this.$t('app.menus.${ctrl.codeName?lower_case}.' + item.name)}</h3>
                </div>
            </card>
        );
    }

    /**
     * 绘制内容
     *
     * @returns
     * @memberof ${srfclassname('${ctrl.codeName}')}
     */
    public render() {
        return (
            <row>
                {this.menus.map((item: any) => {
                    if (item.items && Array.isArray(item.items)) {
                        return this.subItemsRender(item, item.items);
                    } else {
                        return this.subItemRender(item);
                    }
                })}
            </row>
        );
    }
</#assign>
<#ibizinclude>
../应用菜单/CONTROL.tsx.ftl
</#ibizinclude>